Subject: Re: bug#2107: temp-file-name-pattern vs temporary-file-directory

From: "Roland Winkler" <[email-masked]>
Date: Thu, 29 Jan 2009 20:09:37 +0100

On Thu Jan 29 2009 Eli Zaretskii wrote:
> > From: "Roland Winkler" <[email-masked]>
> > Recently I learned about the variable temp-file-name-pattern when
> > under odd circumstances I didn't have access to /tmp. I was
> > surprised that the default value of this variable was
> > /tmp/emacsXXXXXX, thus ignoring my setting of
> > temporary-file-directory. Shouldn't temp-file-name-pattern take into
> > account the value of temporary-file-directory?
> 
> It looks at $TMPDIR, at least for me.

Ah, $TMPDIR is an environment variable I didn't know about. I have
customized temporary-file-directory to point to a directory that is
used only by emacs. I would expect temp-file-name-pattern recognizes
such a setting, too.